/*  locale.h
 *  ANSI C Runtime Library
 */

#ifndef _LOCAL_H
#define _LOCAL_H
struct lconv {
    char *decimal_point;        /* "." */
    char *thousands_sep;        /* "" */
    char *int_curr_symbol;      /* "" */
    char *currency_symbol;      /* "" */
    char *mon_decimal_point;    /* "" */
    char *mon_thousands_sep;    /* "" */
    char *negative_sign;        /* "" */
    char frac_digits;           /* CHAR_MAX */
    char p_cs_precedes;         /* CHAR_MAX */
    char p_sep_by_space;        /* CHAR_MAX */
    char n_sc_precedes;         /* CHAR_MAX */
    char n_sep_by_space;        /* CHAR_MAX */
    char n_sign_point;          /* CHAR_MAX */
};

#define LC_ALL              (LC_COLLATE|LC_CTYPE|LC_MONETARY|LC_NUMERIC|LC_TIME)
#define LC_COLLATE          (1<<0)
#define LC_CTYPE            (1<<1)
#define LC_MONETARY         (1<<2)
#define LC_NUMERIC          (1<<3)
#define LC_TIME             (1<<4)

char *setlocale(int catagory, const char *locale);
struct lconv *localeconv(void);
#endif /* _LOCAL_H */
