/*  assert.h
 *  ANSI C Runtime Library
 */

#ifndef _ASSERT_H
#define _ASSERT_H
void  assert (int expression);
void _assert (const char *problem, int line, const char *filename);
#endif /* _ASSERT_H */

#undef assert       /* PLUM HALL believes that this is correct */

#ifdef NDEBUG
# define assert(ignore)
#else
# define assert(value)  if ( !(value) ) _assert(#value,__LINE__,__FILE__)
#endif /* NDEBUG */
